function [ret,x0,str,ts,xts]=untitled(t,x,u,flag);
%UNTITLED	is the M-file description of the SIMULINK system named UNTITLED.
%	The block-diagram can be displayed by typing: UNTITLED.
%
%	SYS=UNTITLED(T,X,U,FLAG) returns depending on FLAG certain
%	system values given time point, T, current state vector, X,
%	and input vector, U.
%	FLAG is used to indicate the type of output to be returned in SYS.
%
%	Setting FLAG=1 causes UNTITLED to return state derivatives, FLAG=2
%	discrete states, FLAG=3 system outputs and FLAG=4 next sample
%	time. For more information and other options see SFUNC.
%
%	Calling UNTITLED with a FLAG of zero:
%	[SIZES]=UNTITLED([],[],[],0),  returns a vector, SIZES, which
%	contains the sizes of the state vector and other parameters.
%		SIZES(1) number of states
%		SIZES(2) number of discrete states
%		SIZES(3) number of outputs
%		SIZES(4) number of inputs
%		SIZES(5) number of roots (currently unsupported)
%		SIZES(6) direct feedthrough flag
%		SIZES(7) number of sample times
%
%	For the definition of other parameters in SIZES, see SFUNC.
%	See also, TRIM, LINMOD, LINSIM, EULER, RK23, RK45, ADAMS, GEAR.

% Note: This M-file is only used for saving graphical information;
%       after the model is loaded into memory an internal model
%       representation is used.

% the system will take on the name of this mfile:
sys = mfilename;
new_system(sys)
simver(1.3)
if (0 == (nargin + nargout))
     set_param(sys,'Location',[312,66,945,392])
     open_system(sys)
end;
set_param(sys,'algorithm',     'RK-45')
set_param(sys,'Start time',    '0.0')
set_param(sys,'Stop time',     '0.1')
set_param(sys,'Min step size', '0.00001')
set_param(sys,'Max step size', '0.001')
set_param(sys,'Relative error','1e-4')
set_param(sys,'Return vars',   '')

add_block('built-in/Sine Wave',[sys,'/','Vds'])
set_param([sys,'/','Vds'],...
		'frequency','314',...
		'position',[35,83,75,117])

add_block('built-in/Sine Wave',[sys,'/','Vqs'])
set_param([sys,'/','Vqs'],...
		'frequency','314',...
		'phase','1.57',...
		'position',[40,142,80,178])

add_block('built-in/Mux',[sys,'/','Mux'])
set_param([sys,'/','Mux'],...
		'inputs','2',...
		'position',[125,116,155,149])

add_block('built-in/Clock',[sys,'/','Clock'])
set_param([sys,'/','Clock'],...
		'position',[60,20,80,40])

add_block('built-in/To Workspace',[sys,'/','To Workspace1'])
set_param([sys,'/','To Workspace1'],...
		'mat-name','t',...
		'position',[120,22,170,38])

add_block('built-in/S-Function',[sys,'/','S-Function'])
set_param([sys,'/','S-Function'],...
		'function name','bi2tri',...
		'position',[190,92,315,178])

add_block('built-in/Demux',[sys,'/','Demux'])
set_param([sys,'/','Demux'],...
		'outputs','3',...
		'position',[360,119,400,151])

add_block('built-in/To File',[sys,'/','To File'])
set_param([sys,'/','To File'],...
		'position',[455,5,530,35])

add_block('built-in/Scope',[sys,'/','Scope'])
set_param([sys,'/','Scope'],...
		'Vgain','1.000000',...
		'Hgain','1.000000',...
		'Vmax','2.000000',...
		'Hmax','2.000000',...
		'Window',[58,196,389,510])
open_system([sys,'/','Scope'])
set_param([sys,'/','Scope'],...
		'position',[490,70,520,100])

add_block('built-in/To Workspace',[sys,'/','To Workspace'])
set_param([sys,'/','To Workspace'],...
		'mat-name','I',...
		'position',[455,202,505,218])
add_line(sys,[80,100;120,125])
add_line(sys,[85,160;120,140])
add_line(sys,[160,135;165,135;185,135])
add_line(sys,[320,135;335,135;335,20;450,20])
add_line(sys,[85,30;115,30])
add_line(sys,[320,135;345,135;345,85;485,85])
add_line(sys,[320,135;355,135])
add_line(sys,[335,135;335,210;450,210])

drawnow

% Return any arguments.
if (nargin | nargout)
	% Must use feval here to access system in memory
	if (nargin > 3)
		if (flag == 0)
			eval(['[ret,x0,str,ts,xts]=',sys,'(t,x,u,flag);'])
		else
			eval(['ret =', sys,'(t,x,u,flag);'])
		end
	else
		[ret,x0,str,ts,xts] = feval(sys);
	end
else
	drawnow % Flash up the model and execute load callback
end
